<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <groupId>net.northking.cctp</groupId>
    <artifactId>cctp-parent</artifactId>
    <version>1.0.1-RELEASE</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>

  <artifactId>cctp-device-mgr</artifactId>
  <packaging>jar</packaging>
  <properties>
    <!-- The main class to start by executing java -jar -->
    <start-class>net.northking.cctp.device.DeviceMgrApplication</start-class>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-antrun-plugin</artifactId>
      </plugin>

      <!--  maven plugin: code generator    -->
      <plugin>
        <groupId>net.northking.cctp</groupId>
        <artifactId>cctp-maven-plugin</artifactId>
        <version>0.0.141-RELEASE</version>
        <configuration>
          <jdbcDriver>com.mysql.cj.jdbc.Driver</jdbcDriver>
          <jdbcUrl>jdbc:mysql://192.168.77.26:3306/cctp_device_mgr?useUnicode=true&amp;characterEncoding=utf-8&amp;useSSL=false</jdbcUrl>
          <jdbcUsername>northking</jdbcUsername>
          <jdbcPassword>northking@002987</jdbcPassword>
          <database>cctp_device_mgr</database>
          <schema>cctp_device_mgr</schema>
          <tableNames>cd_engine_info</tableNames>
          <basePackage>net.northking.cctp.device</basePackage>
        </configuration>
        <dependencies>
          <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>${mysql.version}</version>
          </dependency>
        </dependencies>
      </plugin>
    </plugins>
  </build>

  <dependencies>
    <dependency>
      <groupId>net.northking.cctp</groupId>
      <artifactId>cctp-commons</artifactId>
      <version>${cctp-commons.version}</version>
    </dependency>
    <!-- 服务注册管理集成 Nacos Discovery -->
    <dependency>
      <groupId>com.alibaba.cloud</groupId>
      <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
    </dependency>
    <!-- 配置管理服务集成 Nacos Config -->
    <dependency>
      <groupId>com.alibaba.cloud</groupId>
      <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-actuator</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-web</artifactId>
    </dependency>

    <dependency>
      <groupId>com.github.pagehelper</groupId>
      <artifactId>pagehelper-spring-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>mysql</groupId>
      <artifactId>mysql-connector-java</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-quartz</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-websocket</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-mail</artifactId>
    </dependency>
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
    </dependency>

      <dependency>
          <groupId>junit</groupId>
          <artifactId>junit</artifactId>
      </dependency>
    <dependency>
      <groupId>org.junit.jupiter</groupId>
      <artifactId>junit-jupiter</artifactId>
    </dependency>

    <dependency>
      <groupId>com.google.protobuf</groupId>
      <artifactId>protobuf-java</artifactId>
      <version>3.21.9</version>
    </dependency>
    <dependency>
      <groupId>io.netty</groupId>
      <artifactId>netty-codec-http</artifactId>
      <version>4.1.86.Final</version>
    </dependency>
    <dependency>
      <groupId>org.jetbrains</groupId>
      <artifactId>annotations</artifactId>
      <version>19.0.0</version>
    </dependency>
  </dependencies>


</project>